Bug 178345 - upgrade attempts to create the tclhttpd user
upgrade attempts to create the tclhttpd user
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tclhttpd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-19 12:31 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.5.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 15:21:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-01-19 12:31:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
During a yum upgrade of tclhttpd from 3.5.1-5 to 3.5.1-6 on FC-4, I encountered the following error:

useradd: user tclhttpd exists
Thu Jan 19 08:54:02 PST 2006 [12044]: failed with '9'
error: %pre(tclhttpd-3.5.1-6.fc4.x86_64) scriptlet failed, exit status 9
error:   install: %pre scriptlet failed (2), skipping tclhttpd-3.5.1-6.fc4

It seems that tclhttpd does not check for the existence of the tclhttpd user before trying to create it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install tclhttpd 3.5.1-5 from FC-4
2. Perform a yum upgrade tclhttpd to get 3.5.1-6
3. Look at the output
  

Actual Results:  The error was generated and the package was not upgraded.

Expected Results:  No error is generated and the package updates successfully

Additional info:

Fix in one of two ways:

1) Check for the tclhttpd user before creating it in %pre

or

2) Only create the tclhttpd user if this is the first time tclhttpd is installed.
Comment 1 Wart 2006-01-24 15:21:45 EST
%pre now checks for the existence of the tclhttpd user with 'id -u tclhttpd'
before attempting to create it.  This fix is in the latest 3.5.1-7 release for
FC3, FC4, and rawhide.

Note You need to log in before you can comment on or make changes to this bug.